// Generated by CoffeeScript 1.9.3
var Promise, VoiceText, querystring, request, url, util;

Promise = require('bluebird');

request = require('request');

util = require('util');

querystring = require('querystring');

url = 'https://%s:%s@api.voicetext.jp/v1/tts?%s';

VoiceText = (function() {
  function VoiceText(key) {
    this.key = key != null ? key : process.env.VOICETEXT_APIKEY;
    this.params = {
      text: '',
      speaker: 'hikari',
      format: 'aac',
      emotion: '',
      emotion_level: '',
      pitch: '100',
      speed: '100',
      volume: '100'
    };
  }

  VoiceText.prototype.fetchVoice = function(text) {
    return this.fetch(text).then(function(response) {
      return response.body;
    });
  };

  VoiceText.prototype.fetch = function(text) {
    if (text != null) {
      this.params.text = text;
    }
    return new Promise((function(_this) {
      return function(resolve, reject) {
        var encoding, uri;
        uri = _this.getUri();
        encoding = null;
        return request.post({
          uri: uri,
          encoding: encoding
        }, function(error, response) {
          if (!error) {
            return resolve(response);
          } else {
            return reject(error);
          }
        });
      };
    })(this));
  };

  VoiceText.prototype.set = function(name, value) {
    this.params[name] = value;
    return this;
  };

  VoiceText.prototype.get = function(name) {
    return this.params[name];
  };

  VoiceText.prototype.getUri = function() {
    return util.format(url, this.key, '', querystring.stringify(this.params));
  };

  return VoiceText;

})();

module.exports = new VoiceText;

module.exports.VoiceText = VoiceText;
